<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.352
Name: Numero di Dose (VACC)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711">
   <title>Numero di Dose (VACC)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.352
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]
Item: (Numero di Dose (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]"
         id="d44e2376-false-d23091e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]) &gt;= 1">(Numero di Dose (VACC)): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]) &lt;= 1">(Numero di Dose (VACC)): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.352
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]
Item: (Numero di Dose (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]"
         id="d44e2394-false-d23108e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Numero di Dose (VACC)): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="string(@moodCode) = ('EVN')">(Numero di Dose (VACC)): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']) &gt;= 1">(Numero di Dose (VACC)): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']) &lt;= 1">(Numero di Dose (VACC)): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:code) &gt;= 1">(Numero di Dose (VACC)): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:code) &lt;= 1">(Numero di Dose (VACC)): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &gt;= 1">(Numero di Dose (VACC)): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]) &lt;= 1">(Numero di Dose (VACC)): element hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:value) &gt;= 1">(Numero di Dose (VACC)): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="count(hl7:value) &lt;= 1">(Numero di Dose (VACC)): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.352
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']
Item: (Numero di Dose (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']"
         id="d44e2406-false-d23164e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.4.3')">(Numero di Dose (VACC)): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.4.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.352
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:code
Item: (Numero di Dose (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:code"
         id="d44e2411-false-d23178e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16226-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem] | conceptList/include[@codeSystem = $theCodeSystem]])">(Numero di Dose (VACC)): The element value SHALL be one of '2.16.840.1.113883.1.11.16226 ObservationType (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="string(@code) = ('30973-2')">(Numero di Dose (VACC)): The value for code SHALL be '30973-2'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Numero di Dose (VACC)): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Numero di Dose (VACC)): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Numero di Dose (VACC)): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.352
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]
Item: (Numero di Dose (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code]"
         id="d44e2439-false-d23212e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(Numero di Dose (VACC)): The element value SHALL be one of '2.16.840.1.113883.1.11.15933 ActStatus (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="string(@code) = ('completed')">(Numero di Dose (VACC)): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.352
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:value
Item: (Numero di Dose (VACC))
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.4.3']]/hl7:value"
         id="d44e2446-false-d23232e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.352-2023-07-27T090711.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3')">(Numero di Dose (VACC)): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
