<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.361
Name: Section SINGOLA VACC
Description: Template CDA Section (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303">
   <title>Section SINGOLA VACC</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]
Item: (Section SINGOLA VACC)
-->

   <rule fpi="RULC-1" context="*[hl7:section]" id="d44e3361-false-d24883e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:section) &gt;= 1">(Section SINGOLA VACC): element hl7:section is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:section) &lt;= 1">(Section SINGOLA VACC): element hl7:section appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section
Item: (Section SINGOLA VACC)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section]/hl7:section"
         id="d44e3379-false-d24970e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Section SINGOLA VACC): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Section SINGOLA VACC): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.3.1']) &lt;= 1">(Section SINGOLA VACC): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.3.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1') or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Section SINGOLA VACC): element hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1') or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:title) &gt;= 1">(Section SINGOLA VACC): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:title) &lt;= 1">(Section SINGOLA VACC): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:text) &gt;= 1">(Section SINGOLA VACC): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:text) &lt;= 1">(Section SINGOLA VACC): element hl7:text appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entry[[Dati vaccinazione]] | hl7:entry[[Dati Esonero/omissione o differimento]])"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="$elmcount &gt;= 1">(Section SINGOLA VACC): choice (hl7:entry[[Dati vaccinazione]]  or  hl7:entry[[Dati Esonero/omissione o differimento]]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="$elmcount &lt;= 1">(Section SINGOLA VACC): choice (hl7:entry[[Dati vaccinazione]]  or  hl7:entry[[Dati Esonero/omissione o differimento]]) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:entry[[Dati vaccinazione]]) &lt;= 1">(Section SINGOLA VACC): element hl7:entry[[Dati vaccinazione]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="count(hl7:entry[[Dati Esonero/omissione o differimento]]) &lt;= 1">(Section SINGOLA VACC): element hl7:entry[[Dati Esonero/omissione o differimento]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.3.1']
Item: (Section SINGOLA VACC)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section]/hl7:section/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.11.3.1']"
         id="d44e3391-false-d25035e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.11.3.1')">(Section SINGOLA VACC): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.11.3.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section/hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1') or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Section SINGOLA VACC)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section]/hl7:section/hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1') or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d44e3402-false-d25049e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10871-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Section SINGOLA VACC): The element value SHALL be one of '2.16.840.1.113883.1.11.10871 DocumentSectionType (DYNAMIC)'.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="string(@code) = ('11369-6')">(Section SINGOLA VACC): The value for code SHALL be '11369-6'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Section SINGOLA VACC): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Section SINGOLA VACC): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20250430T104224/tmp-2.16.840.1.113883.3.1937.777.63.10.361-2023-07-27T171303.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Section SINGOLA VACC): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section/hl7:title
Item: (Section SINGOLA VACC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section/hl7:text
Item: (Section SINGOLA VACC)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section/hl7:entry[[Dati vaccinazione]]
Item: (Section SINGOLA VACC)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.361
Context: *[hl7:section]/hl7:section/hl7:entry[[Dati Esonero/omissione o differimento]]
Item: (Section SINGOLA VACC)
--></pattern>
